Chuyển đến nội dung
Diễn đàn CADViet

DungNguyen685

Thành viên
  • Số lượng nội dung

    10
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

0 (bình thường)

About DungNguyen685

  • Cấp bậc
    biết zoom

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. Chào anh, giúp em cái lisp này được không ạ?

    1. Tue_NV

      Tue_NV

      Giúp gì vậy bạn?

    2. DungNguyen685

      DungNguyen685

      Em có xem qua topic anh về lisp tính đai con có viết thêm như này nhưng em muốn thêm điều kiện cùng số hiệu với cùng phi nó mới cộng tổng số lượng, mong a xem giúp.

      
      ;///////////////////////////////////////
      (defun c:tmp()
      (SETQ CMD (GETVAR "CMDECHO"))
      (SETQ OSM (GETVAR "OSMODE"))
      (SETQ OLDERR *error*
        *error* myerror)
        (defun GeD(v / l en)
          (setq l nil)
          (vlax-for item (vla-item (vla-get-blocks (vla-get-ActiveDocument (vlax-get-acad-object)))
          (cdr (assoc 2 (entget v))))
            (if (= "MTEXT" (cdr (assoc 0 (entget (setq en (vlax-vla-object->ename item))))))
      (setq l en))
          ) l
        )
      
        (Prompt "\nChon Dim:")
        (setq l nil)
        (foreach x (acet-ss-to-list (ssget '((0 . "DIMENSION"))))
        	(setq txt  (cdr (assoc 1 (entget (Ged x)))))
          (if (and (vl-string-search "[" txt) (vl-string-search "%" txt) (vl-string-search "a" txt))
          (setq sl (atoi (substr txt (+ 2 (vl-string-search "]" txt))(- (vl-string-search "%" txt) (vl-string-search "]" txt) 1)))
       		  fi (atoi (substr txt (+ 4 (vl-string-search "%" txt))(- (vl-string-search "a" txt) (vl-string-search "%" txt) 3)))
        l (if (not (assoc fi l))
          (cons (cons fi sl) l)
          (subst (cons fi (+ sl (cdr (assoc fi l)))) (assoc fi l) l)
      	)
      	)
      	)
      	)
        (if l
          (progn
            (foreach x l 
      (setq st (strcat (itoa (cdr x)) "D" (itoa (car x))))
      (alert (strcat st))
      ;///////////////
      (vl-load-com)
      (prompt "\nChon thep can ghi: ")
      (setq
          ss (ssget  (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
          L 0.0
      )
      (vl-load-com)
      (while (setq e (ssname ss 0))
          (setq L (+ L (length1 e)))
          (ssdel e ss)
      )
      (setq Z (/ L 5) )
      (setq Z1 (fix Z) )
      (setq Z2 (- Z Z1) )
      (setq Z3 (IF (>= Z2 0.5) (+ Z1 1) Z1))	
      (setq Z4 (* Z3 5) )
      (or (and hbvt (or (= (type hbvt) 'int) (= (type hbvt) 'STRING))) (setq hbvt 10))
      (setq hbvt (cond ((GETSTRING (strcat "\nSo hieu thanh thep: "))) (hbvt)))
      (setq tsthep (strcat st) 
      Z5 (strcat st "-L="(rtos Z4 2 0)) 
      cdthep (strcat "["hbvt"]" st "-L="(rtos Z4 2 0)) 
      nbk "E:\\Facebuild\\Cad\\MaHieuTH9012345678901.dwg" 
      osm (getvar "OSMODE") sca (getvar "DIMSCALE")
      uni (getvar "INSUNITS"))
      (setvar "OSMODE" 0) (setvar "INSUNITS" 6)
      (setq diem (getpoint "\nChon diem ghi chieu dai"))
      (command ".insert" nbk diem sca sca 0 hbvt tsthep Z5 cdthep)
      (setvar "OSMODE" osm) (setvar "INSUNITS" uni)
      (princ)
      )
      )
      )
      (SETVAR "CMDECHO" CMD)
      (SETVAR "OSMODE" OSM)
      (setq *error* OLDERR)
      (princ)
      )

       

    3. Tue_NV

      Tue_NV

      là sao bạn nhỉ? Add zalo đi 0392021414

  2. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Anh giúp em với thật sự em không biết cách nào Link được chiều dài vào anh ơi, anh giúp em với! TT.dwg TT.lsp
  3. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Cảm ơn anh! em cũng đang học từng chút. giờ cứ mò gặp đến đâu học đến đó thôi chứ không biết bắt đầu từ đầu như thế nào.
  4. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Cái này được rồi a, mà đang dùng cho lisp Field a, a chỉ giúp em tách đoạn code đó ra để em tận dụng link vào block với lưu vào thư viện sau này cần dùng gì, chứ làm trên lisp đó em ko hiểu giờ add thêm vào block em chịu chết luôn, em chỉ mới tập tành viết chỉ copy cái này ít cái kia ít à.
  5. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Lisp rải thép của em đây ạ e muốn link vào chiều dài thanh thép thôi, link vào text được vào block thì quá quá cảm ơn anh luôn. 3. SL12_RAI_THEP_SAN.lsp
  6. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Như file cad này nè anh, em muốn link vào số 1200 của block hay text á. Drawing1.dwg
  7. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Em muốn gán biểu thức vào anh, giờ e nhập lênh chọn đường pline rồi nhaaoj một số thông tin thì lisp tự tính số lượng chiều dài lấy theo pline rồi ghi ra text thì em viết được rồi, giờ em muốn link đuôi ở sau bằng Field mà không được a. chứ ko phải nhập thô vào vậy.
  8. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    2 cái này a xem cái nào cũng được, em thấy lisp chia sẻ web dùng Field đều giống nhau không chèn thêm được. QuickFieldV1-3.lsp LengthAreaFieldV1-3.lsp
  9. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    @Doan Nguyen Van anh ơi cho em hỏi tí nữa ạ, mấy nay em search khắp rồi không tìm được. em thấy lisp dùng field để link chiều dài vào text của nhiều bác với cả Lee Mac, nhưng tất cả lisp đó đều ko thấy có biểu thức toàn link cả vào trong Field em muốn chèn thêm anh giúp em với. Kiểu như này [1]12D8a200-L=12345 chỉ có 12345 là Field còn lại thông số kia tự add vào.
  10. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Thanks a! Để em tìm a ấy!
  11. DungNguyen685

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Chào anh! Em sv xd thấy mấy anh viết lisp hay quá nên cũng tập viết anh giúp em đoạn code này được không ạ. Em có ảnh như dưới: VD: em có 3 lớp dim(có thể nhiều hơn) anh giúp em cái lisp quét qua 1 lần 3 lớp dim đó lớp dim nào được chọn đầu tiên sẽ được làm chuẩn và lớp dim còn lại giãn ra theo một khoảng nhất định( còn bao nhiêu hay nhập vào khoảng cách bao nhiêu thì em viết được) enter tiếp để thực hiện lại lệnh esc để thoát lệnh. Mong anh giúp!
×